Subject: Re: bug#68813: [PATCH core-updates] Replace pkg-config with pkgconf to reduce propagation / Inkscape updates

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 09 Mar 2024 13:32:44 -0500

Hello,

Ludovic Courtès <[email-masked]> writes:

>> I've manually rebuilt a good chunk of the world (mpv and plasmatube)
>> using pkgconf, and haven't seen any breakage caused by it.  You can try
>> do build these patches on top of current core-updates on the
>> hydra-guix-129 machine, which should still have it in its store.
>
> I won’t try, I’m just saying from experience that the “just one last
> tiny change” strategy never converges.  :-)
>
>>> (Aside: where should I read about the rationale of the pkg-config ->
>>> pkgconf move?)
>
> [...]
>
>> The above demonstrates that pkgconf's behavior is to consider *.private
>> fields only when provided the --static option, which is what we want.
>>
>> I hope this helps understanding the rationale.
>
> It does, and it looks like a nice improvement.  Thanks for explaining!

Great!  I've now merged this series in core-updates, after consulting
with Josselin, since we are going to need a world rebuild anyway.

-- 
Thanks,
Maxim